Subject: [PATCH v2 2/2] news: Add entry for Codeberg migration.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 22 May 2025 15:33:48 +0200

* etc/news.scm: Add entry.

Change-Id: Ie2b2973d8f0f0c28e6d7655e1fd9c5b6adc3e962
---
 etc/news.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/etc/news.scm b/etc/news.scm
index 29535d4ea9..85a4cee4b6 100644
--- a/etc/news.scm
+++ b/etc/news.scm
@@ -38,6 +38,30 @@
 (channel-news
  (version 0)
 
+ (entry (commit "XXX")
+        (title
+         (en "Guix source code repository moved to Codeberg"))
+        (body
+         (en "The canonical URL of the Guix repository is now
+@url{https://git.guix.gnu.org/guix.git}.
+
+No action is needed on your side: @command{guix pull} will now automatically
+fetch from the new URL, unless your @file{channels.scm} files refer to the
+former URL; in that case, you are encouraged to update it, though the former
+URL at @code{git.savannah.gnu.org} will remain valid for at least one
+year.
+
+It is now possible to report bugs and to propose changes using the issue and
+pull-request mechanisms at @url{https://codeberg.org/guix/guix}.  The
+@email{bug-guix@@gnu.org} and @email{guix-patches@@gnu.org} mailing lists
+remain available, including for new bugs and patches, until December 31st,
+2025.
+
+Guix Consensus Document (GCD) 002, which is the result of community
+consensus-building, documents the motivation, choices, and open issues of this
+migration to Codeberg:
+@url{https://codeberg.org/guix/guix-consensus-documents/src/branch/main/002-codeberg.md}.")))
+
  (entry (commit "271a8fc2499135c3f0198bf69c9f2a60f1961bf1")
         (title
          (en "@samp{guix refresh} can now target partial versions"))
-- 
2.49.0